#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

extern  GtkWidget *window;
extern  GtkWidget *notebook;
extern  GtkWidget *address_city_entry;
extern  GtkWidget *address_country_entry;
extern  GtkWidget *address_entry;
extern  GtkWidget *address_street_entry;
extern  GtkWidget *cluster_support_checkbutton;
extern  GtkWidget *company_entry;
extern  GtkWidget *coverage_spinbutton;
extern  GtkWidget *desktop_support_checkbutton;
extern  GtkWidget *ekiga_entry;
extern  GtkWidget *industry_entry;
extern  GtkWidget *name_entry;
extern  GtkWidget *server_support_checkbutton;
extern  GtkWidget *telephone_entry;
extern  GtkWidget *Year_label;

void
on_page0_about_button_clicked          (GtkButton       *button,
                                        gpointer         user_data)
{
notebook = lookup_widget(GTK_WIDGET(window), "notebook");
gtk_notebook_set_current_page(GTK_NOTEBOOK(notebook), 3);
}


void
on_page0_cancel_button_clicked         (GtkButton       *button,
                                        gpointer         user_data)
{
g_print("Exit_Signal\n");
gtk_main_quit();
}


void
on_page0_next_button_clicked           (GtkButton       *button,
                                        gpointer         user_data)
{
notebook = lookup_widget(GTK_WIDGET(window), "notebook");
gtk_notebook_set_current_page(GTK_NOTEBOOK(notebook), 1);
}


void
on_page1_contact_button_clicked        (GtkButton       *button,
                                        gpointer         user_data)
{
execl("/usr/bin/evolution","evolution","mailto:support@canonical.com?subject=Questions regarding paid commercial support",0);
}


void
on_page1_back_button_clicked           (GtkButton       *button,
                                        gpointer         user_data)
{
notebook = lookup_widget(GTK_WIDGET(window), "notebook");
gtk_notebook_set_current_page(GTK_NOTEBOOK(notebook), 0);
}


void
on_page1_next_button_clicked           (GtkButton       *button,
                                        gpointer         user_data)
{
notebook = lookup_widget(GTK_WIDGET(window), "notebook");
gtk_notebook_set_current_page(GTK_NOTEBOOK(notebook), 2);
}


void
on_page2_back_button_clicked           (GtkButton       *button,
                                        gpointer         user_data)
{
notebook = lookup_widget(GTK_WIDGET(window), "notebook");
gtk_notebook_set_current_page(GTK_NOTEBOOK(notebook), 1);
}


void
on_page2_send_button_clicked           (GtkButton       *button,
                                        gpointer         user_data)
{
const gchar *full_name;
const gchar *email_address;
const gchar *ekiga_address;
const gchar *phone_number;
const gchar *address_street;
const gchar *address_city;
const gchar *address_country;
const gchar *company;
const gchar *industry;
const gchar *coverage_year;

full_name = gtk_entry_get_text(GTK_ENTRY(name_entry));
email_address = gtk_entry_get_text(GTK_ENTRY(address_entry));
ekiga_address = gtk_entry_get_text(GTK_ENTRY(ekiga_entry));
phone_number = gtk_entry_get_text(GTK_ENTRY(telephone_entry));
address_street = gtk_entry_get_text(GTK_ENTRY(address_street_entry));
address_city = gtk_entry_get_text(GTK_ENTRY(address_city_entry));
address_country = gtk_entry_get_text(GTK_ENTRY(address_country_entry));
company = gtk_entry_get_text(GTK_ENTRY(company_entry));
industry = gtk_entry_get_text(GTK_ENTRY(industry_entry));
coverage_year = gtk_entry_get_text(GTK_ENTRY(coverage_spinbutton));

if (gtk_toggle_button_get_active (GTK_TOGGLE_BUTTON (desktop_support_checkbutton))) 
  {
g_print("Desktop Support - $250\n");
  } else {
g_print("\n");
}

if (gtk_toggle_button_get_active (GTK_TOGGLE_BUTTON (server_support_checkbutton))) 
  {
g_print("Server Support - $700\n");
  } else {
g_print("\n");
}

if (gtk_toggle_button_get_active (GTK_TOGGLE_BUTTON (cluster_support_checkbutton))) 
  {
g_print("Cluster and Thin Client Support - $1200\n");
  } else {
g_print("\n");
}

puts(full_name);
puts(email_address);
puts(ekiga_address);
puts(phone_number);
puts(address_street);
puts(address_city);
puts(address_country);
puts(company);
puts(industry);
puts(coverage_year);
gtk_main_quit();
}


void
on_page3_license_button_clicked        (GtkButton       *button,
                                        gpointer         user_data)
{
notebook = lookup_widget(GTK_WIDGET(window), "notebook");
gtk_notebook_set_current_page(GTK_NOTEBOOK(notebook), 4);
}


void
on_page3_ok_button_clicked             (GtkButton       *button,
                                        gpointer         user_data)
{
notebook = lookup_widget(GTK_WIDGET(window), "notebook");
gtk_notebook_set_current_page(GTK_NOTEBOOK(notebook), 0);
}


void
on_page4_back_button_clicked           (GtkButton       *button,
                                        gpointer         user_data)
{
notebook = lookup_widget(GTK_WIDGET(window), "notebook");
gtk_notebook_set_current_page(GTK_NOTEBOOK(notebook), 3);
}


void
on_window_destroy                      (GtkObject       *object,
                                        gpointer         user_data)
{
g_print("Exit_Signal\n");
gtk_main_quit();
}


void
on_coverage_spinbutton_changed         (GtkEditable     *editable,
                                        gpointer         user_data)
{

}

