#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>

#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

#define GLADE_HOOKUP_OBJECT(component,widget,name) \
  g_object_set_data_full (G_OBJECT (component), name, \
    gtk_widget_ref (widget), (GDestroyNotify) gtk_widget_unref)

#define GLADE_HOOKUP_OBJECT_NO_REF(component,widget,name) \
  g_object_set_data (G_OBJECT (component), name, widget)

  GtkWidget *window;
  GtkWidget *notebook;

  GtkWidget *address_city_entry;
  GtkWidget *address_country_entry;
  GtkWidget *address_entry;
  GtkWidget *address_street_entry;
  GtkWidget *cluster_support_checkbutton;
  GtkWidget *company_entry;
  GtkWidget *coverage_spinbutton;
  GtkWidget *desktop_support_checkbutton;
  GtkWidget *ekiga_entry;
  GtkWidget *industry_entry;
  GtkWidget *name_entry;
  GtkWidget *page0_about_button;
  GtkWidget *page0_cancel_button;
  GtkWidget *page0_next_button;
  GtkWidget *page1_back_button;
  GtkWidget *page1_contact_button;
  GtkWidget *page1_next_button;
  GtkWidget *page2_back_button;
  GtkWidget *page2_send_button;
  GtkWidget *page3_license_button;
  GtkWidget *page3_ok_button;
  GtkWidget *page4_back_button;
  GtkWidget *server_support_checkbutton;
  GtkWidget *telephone_entry;
  GtkWidget *Year_label;

GtkWidget*
create_window (void)
{

  GtkWidget *alignment1;
  GtkWidget *alignment2;
  GtkWidget *alignment3;
  GtkWidget *alignment4;
  GtkWidget *alignment6;
  GtkWidget *hbox2;
  GtkWidget *hbox3;
  GtkWidget *hbox4;
  GtkWidget *hbox5;
  GtkWidget *hbox6;
  GtkWidget *hbox7;
  GtkWidget *hbox8;
  GtkWidget *hbox9;
  GtkWidget *hbox10;
  GtkWidget *hbox11;
  GtkWidget *hbox12;
  GtkWidget *hbox13;
  GtkWidget *hbox14;
  GtkWidget *hbox15;
  GtkWidget *hbox16;
  GtkWidget *hbox17;
  GtkWidget *hbox18;
  GtkWidget *hbox19;
  GtkWidget *hbox20;
  GtkWidget *hbox21;
  GtkWidget *hbox22;
  GtkWidget *hbox23;
  GtkWidget *hbox26;
  GtkWidget *hbox27;
  GtkWidget *hbox29;
  GtkWidget *hbox30;
  GtkWidget *hbox31;
  GtkWidget *hbox32;
  GtkWidget *hbuttonbox1;
  GtkWidget *hbuttonbox2;
  GtkWidget *hbuttonbox4;
  GtkWidget *hbuttonbox6;
  GtkWidget *hbuttonbox7;
  GtkWidget *hbuttonbox9;
  GtkWidget *hbuttonbox10;
  GtkWidget *hbuttonbox11;
  GtkWidget *hbuttonbox12;
  GtkWidget *image3;
  GtkWidget *image4;
  GtkWidget *image5;
  GtkWidget *image6;
  GtkWidget *image7;
  GtkWidget *image8;
  GtkWidget *image9;
  GtkWidget *image10;
  GtkWidget *image12;
  GtkWidget *image13;
  GtkWidget *label1;
  GtkWidget *label2;
  GtkWidget *label3;
  GtkWidget *label5;
  GtkWidget *label6;
  GtkWidget *label7;
  GtkWidget *label8;
  GtkWidget *label9;
  GtkWidget *label10;
  GtkWidget *label11;
  GtkWidget *label12;
  GtkWidget *label13;
  GtkWidget *label15;
  GtkWidget *label16;
  GtkWidget *label17;
  GtkWidget *label18;
  GtkWidget *label19;
  GtkWidget *label20;
  GtkWidget *label21;
  GtkWidget *label22;
  GtkWidget *label23;
  GtkWidget *label24;
  GtkWidget *label25;
  GtkWidget *label26;
  GtkWidget *label27;
  GtkWidget *label28;
  GtkWidget *label29;
  GtkWidget *label30;
  GtkWidget *label31;
  GtkWidget *label32;
  GtkWidget *label33;
  GtkWidget *label34;
  GtkWidget *label36;
  GtkWidget *label37;
  GtkWidget *label38;
  GtkWidget *label39;
  GtkWidget *label40;
  GtkWidget *scrolledwindow1;
  GtkWidget *textview1;
  GtkWidget *vbox1;
  GtkWidget *vbox2;
  GtkWidget *vbox3;
  GtkWidget *vbox4;
  GtkWidget *vbox5;
  GtkWidget *vbox6;
  GtkWidget *vbox7;
  GtkObject *coverage_spinbutton_adj;

  window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_window_set_title (GTK_WINDOW (window), _("Ubuntu Commercial Support"));
  gtk_window_set_position (GTK_WINDOW (window), GTK_WIN_POS_CENTER_ALWAYS);
  gtk_window_set_resizable (GTK_WINDOW (window), FALSE);
  gtk_window_set_icon_name (GTK_WINDOW (window), "stock_contact");

  notebook = gtk_notebook_new ();
  gtk_widget_show (notebook);
  gtk_container_add (GTK_CONTAINER (window), notebook);
  gtk_container_set_border_width (GTK_CONTAINER (notebook), 10);
  GTK_WIDGET_UNSET_FLAGS (notebook, GTK_CAN_FOCUS);
  gtk_notebook_set_show_tabs (GTK_NOTEBOOK (notebook), FALSE);
  gtk_notebook_set_show_border (GTK_NOTEBOOK (notebook), FALSE);

  vbox1 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox1);
  gtk_container_add (GTK_CONTAINER (notebook), vbox1);

  hbox2 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox2);
  gtk_box_pack_start (GTK_BOX (vbox1), hbox2, FALSE, FALSE, 10);

  image3 = gtk_image_new_from_icon_name ("stock_contact", GTK_ICON_SIZE_DIALOG);
  gtk_widget_show (image3);
  gtk_box_pack_start (GTK_BOX (hbox2), image3, FALSE, FALSE, 0);
  gtk_misc_set_padding (GTK_MISC (image3), 30, 0);

  label5 = gtk_label_new (_("<span size=\"x-large\">Ubuntu Commercial Support</span>"));
  gtk_widget_show (label5);
  gtk_box_pack_start (GTK_BOX (hbox2), label5, FALSE, FALSE, 0);
  gtk_label_set_use_markup (GTK_LABEL (label5), TRUE);

  label6 = gtk_label_new (_("Welcome to Ubuntu Commercial Support.\n\nThis will guide you on obtaining support from Canonical Limited, \nthe premier provider of commercial support for Ubuntu. \n\nTo continue, please click the \"Next\" button."));
  gtk_widget_show (label6);
  gtk_box_pack_start (GTK_BOX (vbox1), label6, FALSE, FALSE, 0);

  hbox3 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox3);
  gtk_box_pack_end (GTK_BOX (vbox1), hbox3, FALSE, FALSE, 0);

  hbuttonbox2 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox2);
  gtk_box_pack_start (GTK_BOX (hbox3), hbuttonbox2, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (hbuttonbox2), 10);
  gtk_box_set_spacing (GTK_BOX (hbuttonbox2), 10);

  page0_about_button = gtk_button_new_from_stock ("gtk-about");
  gtk_widget_show (page0_about_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox2), page0_about_button);
  gtk_widget_set_size_request (page0_about_button, 77, 34);
  GTK_WIDGET_SET_FLAGS (page0_about_button, GTK_CAN_DEFAULT);

  hbuttonbox1 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox1);
  gtk_box_pack_start (GTK_BOX (hbox3), hbuttonbox1, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (hbuttonbox1), 10);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox1), GTK_BUTTONBOX_END);
  gtk_box_set_spacing (GTK_BOX (hbuttonbox1), 10);

  page0_cancel_button = gtk_button_new_from_stock ("gtk-cancel");
  gtk_widget_show (page0_cancel_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox1), page0_cancel_button);
  gtk_widget_set_size_request (page0_cancel_button, 77, 34);
  GTK_WIDGET_SET_FLAGS (page0_cancel_button, GTK_CAN_DEFAULT);

  page0_next_button = gtk_button_new ();
  gtk_widget_show (page0_next_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox1), page0_next_button);
  gtk_widget_set_size_request (page0_next_button, 77, 34);
  GTK_WIDGET_SET_FLAGS (page0_next_button, GTK_CAN_DEFAULT);

  alignment1 = gtk_alignment_new (0.5, 0.5, 0, 0);
  gtk_widget_show (alignment1);
  gtk_container_add (GTK_CONTAINER (page0_next_button), alignment1);

  hbox4 = gtk_hbox_new (FALSE, 2);
  gtk_widget_show (hbox4);
  gtk_container_add (GTK_CONTAINER (alignment1), hbox4);

  image4 = gtk_image_new_from_stock ("gtk-go-forward", GTK_ICON_SIZE_BUTTON);
  gtk_widget_show (image4);
  gtk_box_pack_start (GTK_BOX (hbox4), image4, FALSE, FALSE, 0);

  label7 = gtk_label_new_with_mnemonic (_("_Next"));
  gtk_widget_show (label7);
  gtk_box_pack_start (GTK_BOX (hbox4), label7, FALSE, FALSE, 0);

  label1 = gtk_label_new (_("label1"));
  gtk_widget_show (label1);
  gtk_notebook_set_tab_label (GTK_NOTEBOOK (notebook), gtk_notebook_get_nth_page (GTK_NOTEBOOK (notebook), 0), label1);

  vbox2 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox2);
  gtk_container_add (GTK_CONTAINER (notebook), vbox2);

  hbox5 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox5);
  gtk_box_pack_start (GTK_BOX (vbox2), hbox5, FALSE, FALSE, 10);

  image5 = gtk_image_new_from_icon_name ("stock_internet", GTK_ICON_SIZE_DIALOG);
  gtk_widget_show (image5);
  gtk_box_pack_start (GTK_BOX (hbox5), image5, FALSE, FALSE, 0);
  gtk_misc_set_padding (GTK_MISC (image5), 30, 0);

  label8 = gtk_label_new (_("<span size=\"x-large\">Commercial Support Options</span>"));
  gtk_widget_show (label8);
  gtk_box_pack_start (GTK_BOX (hbox5), label8, FALSE, FALSE, 0);
  gtk_label_set_use_markup (GTK_LABEL (label8), TRUE);

  label9 = gtk_label_new (_("Canonical Limited provides escalation support to other\ncompanies that deliver solutions based on Ubuntu, and can\nalso provide direct support if needed.\n\nPlease select a support options from the following."));
  gtk_widget_show (label9);
  gtk_box_pack_start (GTK_BOX (vbox2), label9, FALSE, FALSE, 0);

  hbox6 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox6);
  gtk_box_pack_end (GTK_BOX (vbox2), hbox6, FALSE, FALSE, 0);

  hbox14 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox14);
  gtk_box_pack_end (GTK_BOX (hbox6), hbox14, TRUE, TRUE, 0);

  hbuttonbox7 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox7);
  gtk_box_pack_start (GTK_BOX (hbox14), hbuttonbox7, TRUE, TRUE, 0);

  page1_contact_button = gtk_button_new ();
  gtk_widget_show (page1_contact_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox7), page1_contact_button);
  gtk_widget_set_size_request (page1_contact_button, 180, 34);
  GTK_WIDGET_SET_FLAGS (page1_contact_button, GTK_CAN_DEFAULT);

  alignment4 = gtk_alignment_new (0.5, 0.5, 0, 0);
  gtk_widget_show (alignment4);
  gtk_container_add (GTK_CONTAINER (page1_contact_button), alignment4);

  hbox15 = gtk_hbox_new (FALSE, 2);
  gtk_widget_show (hbox15);
  gtk_container_add (GTK_CONTAINER (alignment4), hbox15);

  image9 = gtk_image_new_from_icon_name ("stock_mail", GTK_ICON_SIZE_BUTTON);
  gtk_widget_show (image9);
  gtk_box_pack_start (GTK_BOX (hbox15), image9, FALSE, FALSE, 0);

  label20 = gtk_label_new_with_mnemonic (_("_Contact Canonical Ltd"));
  gtk_widget_show (label20);
  gtk_box_pack_start (GTK_BOX (hbox15), label20, FALSE, FALSE, 0);

  hbuttonbox4 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox4);
  gtk_box_pack_start (GTK_BOX (hbox14), hbuttonbox4, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (hbuttonbox4), 10);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox4), GTK_BUTTONBOX_END);
  gtk_box_set_spacing (GTK_BOX (hbuttonbox4), 10);

  page1_back_button = gtk_button_new_from_stock ("gtk-go-back");
  gtk_widget_show (page1_back_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox4), page1_back_button);
  gtk_widget_set_size_request (page1_back_button, 77, 34);
  GTK_WIDGET_SET_FLAGS (page1_back_button, GTK_CAN_DEFAULT);

  page1_next_button = gtk_button_new ();
  gtk_widget_show (page1_next_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox4), page1_next_button);
  gtk_widget_set_size_request (page1_next_button, 77, 34);
  GTK_WIDGET_SET_FLAGS (page1_next_button, GTK_CAN_DEFAULT);

  alignment2 = gtk_alignment_new (0.5, 0.5, 0, 0);
  gtk_widget_show (alignment2);
  gtk_container_add (GTK_CONTAINER (page1_next_button), alignment2);

  hbox7 = gtk_hbox_new (FALSE, 2);
  gtk_widget_show (hbox7);
  gtk_container_add (GTK_CONTAINER (alignment2), hbox7);

  image6 = gtk_image_new_from_stock ("gtk-go-forward", GTK_ICON_SIZE_BUTTON);
  gtk_widget_show (image6);
  gtk_box_pack_start (GTK_BOX (hbox7), image6, FALSE, FALSE, 0);

  label10 = gtk_label_new_with_mnemonic (_("_Next"));
  gtk_widget_show (label10);
  gtk_box_pack_start (GTK_BOX (hbox7), label10, FALSE, FALSE, 0);

  hbox8 = gtk_hbox_new (TRUE, 0);
  gtk_widget_show (hbox8);
  gtk_box_pack_start (GTK_BOX (vbox2), hbox8, FALSE, FALSE, 10);

  vbox3 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox3);
  gtk_box_pack_start (GTK_BOX (hbox8), vbox3, FALSE, FALSE, 0);

  desktop_support_checkbutton = gtk_check_button_new_with_mnemonic (_("Desktop Support\t\t\t\t\t$250 USD"));
  gtk_widget_show (desktop_support_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox3), desktop_support_checkbutton, FALSE, FALSE, 0);

  server_support_checkbutton = gtk_check_button_new_with_mnemonic (_("Server Support\t\t\t\t\t$700 USD"));
  gtk_widget_show (server_support_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox3), server_support_checkbutton, FALSE, FALSE, 0);

  cluster_support_checkbutton = gtk_check_button_new_with_mnemonic (_("Cluster and Thin Client Support\t\t$1200 USD"));
  gtk_widget_show (cluster_support_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox3), cluster_support_checkbutton, FALSE, FALSE, 0);

  hbox9 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox9);
  gtk_box_pack_start (GTK_BOX (vbox3), hbox9, FALSE, FALSE, 0);

  hbox10 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox10);
  gtk_box_pack_start (GTK_BOX (hbox9), hbox10, FALSE, FALSE, 0);

  label15 = gtk_label_new (_("Coverage: "));
  gtk_widget_show (label15);
  gtk_box_pack_start (GTK_BOX (hbox10), label15, FALSE, FALSE, 0);

  coverage_spinbutton_adj = gtk_adjustment_new (1, 0, 100, 1, 10, 10);
  coverage_spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (coverage_spinbutton_adj), 1, 0);
  gtk_widget_show (coverage_spinbutton);
  gtk_box_pack_start (GTK_BOX (hbox10), coverage_spinbutton, FALSE, FALSE, 0);

  Year_label = gtk_label_new (_(" Year"));
  gtk_widget_show (Year_label);
  gtk_box_pack_start (GTK_BOX (hbox10), Year_label, FALSE, FALSE, 0);

  label11 = gtk_label_new (_("<b>All of the support options will include the following</b>"));
  gtk_widget_show (label11);
  gtk_box_pack_start (GTK_BOX (vbox3), label11, FALSE, FALSE, 10);
  gtk_label_set_use_markup (GTK_LABEL (label11), TRUE);

  label12 = gtk_label_new (_("Installation CDs \t\t\t<span foreground=\"brown\">Optional</span>\nOS Updates \t\t\t\t<span foreground=\"brown\">Yes</span>\nOnline Support \t\t\t<span foreground=\"brown\">Yes</span>\nOnline Response Time \t\t<span foreground=\"brown\">Max 1 business day</span>\nPhone Support \t\t\t<span foreground=\"brown\">Yes</span>\nPhone Response Time \t\t<span foreground=\"brown\">Max 4 business hours</span>\nCoverage \t\t\t\t<span foreground=\"brown\">1 year</span>\nIncident Entitlement \t\t<span foreground=\"brown\">10</span>"));
  gtk_widget_show (label12);
  gtk_box_pack_start (GTK_BOX (vbox3), label12, FALSE, FALSE, 0);
  gtk_label_set_use_markup (GTK_LABEL (label12), TRUE);

  label13 = gtk_label_new (_("<i>Prices may change. Prices are exclusive of VAT.</i>"));
  gtk_widget_show (label13);
  gtk_box_pack_start (GTK_BOX (vbox3), label13, FALSE, FALSE, 10);
  gtk_label_set_use_markup (GTK_LABEL (label13), TRUE);

  label19 = gtk_label_new (_("If you have any questions, you can click the \"Contact Canonical Ltd\"\nbutton, or click \"Next\" to continue."));
  gtk_widget_show (label19);
  gtk_box_pack_start (GTK_BOX (vbox3), label19, FALSE, FALSE, 0);
  gtk_misc_set_padding (GTK_MISC (label19), 10, 0);

  label2 = gtk_label_new (_("label2"));
  gtk_widget_show (label2);
  gtk_notebook_set_tab_label (GTK_NOTEBOOK (notebook), gtk_notebook_get_nth_page (GTK_NOTEBOOK (notebook), 1), label2);

  vbox4 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox4);
  gtk_container_add (GTK_CONTAINER (notebook), vbox4);

  hbox11 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox11);
  gtk_box_pack_start (GTK_BOX (vbox4), hbox11, FALSE, FALSE, 10);

  image7 = gtk_image_new_from_icon_name ("gtk-info", GTK_ICON_SIZE_DIALOG);
  gtk_widget_show (image7);
  gtk_box_pack_start (GTK_BOX (hbox11), image7, FALSE, FALSE, 0);
  gtk_misc_set_padding (GTK_MISC (image7), 30, 0);

  label16 = gtk_label_new (_("<span size=\"x-large\">General Information</span>"));
  gtk_widget_show (label16);
  gtk_box_pack_start (GTK_BOX (hbox11), label16, FALSE, FALSE, 0);
  gtk_label_set_use_markup (GTK_LABEL (label16), TRUE);

  label17 = gtk_label_new (_("Please provide some general information about yourself\nor your company below. This will be sent to Canonical Ltd, \nalong with your selected support options.\n\n<i>If none, please leave it blank</i>"));
  gtk_widget_show (label17);
  gtk_box_pack_start (GTK_BOX (vbox4), label17, FALSE, FALSE, 0);
  gtk_label_set_use_markup (GTK_LABEL (label17), TRUE);

  hbox12 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox12);
  gtk_box_pack_end (GTK_BOX (vbox4), hbox12, FALSE, FALSE, 0);

  hbuttonbox6 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox6);
  gtk_box_pack_start (GTK_BOX (hbox12), hbuttonbox6, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (hbuttonbox6), 10);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox6), GTK_BUTTONBOX_END);
  gtk_box_set_spacing (GTK_BOX (hbuttonbox6), 10);

  page2_back_button = gtk_button_new_from_stock ("gtk-go-back");
  gtk_widget_show (page2_back_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox6), page2_back_button);
  gtk_widget_set_size_request (page2_back_button, 77, 34);
  GTK_WIDGET_SET_FLAGS (page2_back_button, GTK_CAN_DEFAULT);

  page2_send_button = gtk_button_new ();
  gtk_widget_show (page2_send_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox6), page2_send_button);
  gtk_widget_set_size_request (page2_send_button, 77, 34);
  GTK_WIDGET_SET_FLAGS (page2_send_button, GTK_CAN_DEFAULT);

  alignment3 = gtk_alignment_new (0.5, 0.5, 0, 0);
  gtk_widget_show (alignment3);
  gtk_container_add (GTK_CONTAINER (page2_send_button), alignment3);

  hbox13 = gtk_hbox_new (FALSE, 2);
  gtk_widget_show (hbox13);
  gtk_container_add (GTK_CONTAINER (alignment3), hbox13);

  image8 = gtk_image_new_from_icon_name ("stock_mail-send", GTK_ICON_SIZE_BUTTON);
  gtk_widget_show (image8);
  gtk_box_pack_start (GTK_BOX (hbox13), image8, FALSE, FALSE, 0);

  label18 = gtk_label_new_with_mnemonic (_("_Send"));
  gtk_widget_show (label18);
  gtk_box_pack_start (GTK_BOX (hbox13), label18, FALSE, FALSE, 0);

  vbox5 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox5);
  gtk_box_pack_start (GTK_BOX (vbox4), vbox5, TRUE, TRUE, 0);

  label25 = gtk_label_new (_("<b>Basic Information</b>"));
  gtk_widget_show (label25);
  gtk_box_pack_start (GTK_BOX (vbox5), label25, FALSE, FALSE, 10);
  gtk_label_set_use_markup (GTK_LABEL (label25), TRUE);

  hbox16 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox16);
  gtk_box_pack_start (GTK_BOX (vbox5), hbox16, FALSE, FALSE, 0);

  label21 = gtk_label_new (_("Full Name:\t\t\t\t"));
  gtk_widget_show (label21);
  gtk_box_pack_start (GTK_BOX (hbox16), label21, FALSE, FALSE, 0);

  name_entry = gtk_entry_new ();
  gtk_widget_show (name_entry);
  gtk_box_pack_start (GTK_BOX (hbox16), name_entry, TRUE, TRUE, 0);
  gtk_entry_set_invisible_char (GTK_ENTRY (name_entry), 9679);

  hbox17 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox17);
  gtk_box_pack_start (GTK_BOX (vbox5), hbox17, FALSE, FALSE, 0);

  label22 = gtk_label_new (_("E-Mail Address:\t\t\t"));
  gtk_widget_show (label22);
  gtk_box_pack_start (GTK_BOX (hbox17), label22, FALSE, FALSE, 0);

  address_entry = gtk_entry_new ();
  gtk_widget_show (address_entry);
  gtk_box_pack_start (GTK_BOX (hbox17), address_entry, TRUE, TRUE, 0);
  gtk_entry_set_invisible_char (GTK_ENTRY (address_entry), 9679);

  hbox32 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox32);
  gtk_box_pack_start (GTK_BOX (vbox5), hbox32, TRUE, TRUE, 0);

  label40 = gtk_label_new (_("Ekiga SIP Address:\t\t\t"));
  gtk_widget_show (label40);
  gtk_box_pack_start (GTK_BOX (hbox32), label40, FALSE, FALSE, 0);

  ekiga_entry = gtk_entry_new ();
  gtk_widget_show (ekiga_entry);
  gtk_box_pack_start (GTK_BOX (hbox32), ekiga_entry, TRUE, TRUE, 0);
  gtk_entry_set_invisible_char (GTK_ENTRY (ekiga_entry), 9679);

  hbox18 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox18);
  gtk_box_pack_start (GTK_BOX (vbox5), hbox18, FALSE, FALSE, 0);

  label23 = gtk_label_new (_("Telephone Number:\t\t\t"));
  gtk_widget_show (label23);
  gtk_box_pack_start (GTK_BOX (hbox18), label23, FALSE, FALSE, 0);

  telephone_entry = gtk_entry_new ();
  gtk_widget_show (telephone_entry);
  gtk_box_pack_start (GTK_BOX (hbox18), telephone_entry, TRUE, TRUE, 0);
  gtk_entry_set_invisible_char (GTK_ENTRY (telephone_entry), 9679);

  hbox19 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox19);
  gtk_box_pack_start (GTK_BOX (vbox5), hbox19, FALSE, FALSE, 0);

  label24 = gtk_label_new (_("Mailing Address: \t(Street)\t"));
  gtk_widget_show (label24);
  gtk_box_pack_start (GTK_BOX (hbox19), label24, FALSE, FALSE, 0);

  address_street_entry = gtk_entry_new ();
  gtk_widget_show (address_street_entry);
  gtk_box_pack_start (GTK_BOX (hbox19), address_street_entry, TRUE, TRUE, 0);
  gtk_entry_set_invisible_char (GTK_ENTRY (address_street_entry), 9679);

  hbox22 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox22);
  gtk_box_pack_start (GTK_BOX (vbox5), hbox22, FALSE, FALSE, 0);

  label29 = gtk_label_new (_("\t\t \t   \t(City)\t"));
  gtk_widget_show (label29);
  gtk_box_pack_start (GTK_BOX (hbox22), label29, FALSE, FALSE, 0);

  address_city_entry = gtk_entry_new ();
  gtk_widget_show (address_city_entry);
  gtk_box_pack_start (GTK_BOX (hbox22), address_city_entry, TRUE, TRUE, 0);
  gtk_entry_set_invisible_char (GTK_ENTRY (address_city_entry), 9679);

  hbox23 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox23);
  gtk_box_pack_start (GTK_BOX (vbox5), hbox23, FALSE, FALSE, 0);

  label30 = gtk_label_new (_("\t\t\t   \t(Country) "));
  gtk_widget_show (label30);
  gtk_box_pack_start (GTK_BOX (hbox23), label30, FALSE, FALSE, 0);

  address_country_entry = gtk_entry_new ();
  gtk_widget_show (address_country_entry);
  gtk_box_pack_start (GTK_BOX (hbox23), address_country_entry, TRUE, TRUE, 0);
  gtk_entry_set_invisible_char (GTK_ENTRY (address_country_entry), 9679);

  label26 = gtk_label_new (_("<b>Business Information</b>"));
  gtk_widget_show (label26);
  gtk_box_pack_start (GTK_BOX (vbox5), label26, FALSE, FALSE, 10);
  gtk_label_set_use_markup (GTK_LABEL (label26), TRUE);

  hbox20 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox20);
  gtk_box_pack_start (GTK_BOX (vbox5), hbox20, FALSE, FALSE, 0);

  label27 = gtk_label_new (_("Company Name:\t\t\t"));
  gtk_widget_show (label27);
  gtk_box_pack_start (GTK_BOX (hbox20), label27, FALSE, FALSE, 0);

  company_entry = gtk_entry_new ();
  gtk_widget_show (company_entry);
  gtk_box_pack_start (GTK_BOX (hbox20), company_entry, TRUE, TRUE, 0);
  gtk_entry_set_invisible_char (GTK_ENTRY (company_entry), 9679);

  hbox21 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox21);
  gtk_box_pack_start (GTK_BOX (vbox5), hbox21, FALSE, FALSE, 0);

  label28 = gtk_label_new (_("Industry:\t\t\t\t\t"));
  gtk_widget_show (label28);
  gtk_box_pack_start (GTK_BOX (hbox21), label28, FALSE, FALSE, 0);

  industry_entry = gtk_entry_new ();
  gtk_widget_show (industry_entry);
  gtk_box_pack_start (GTK_BOX (hbox21), industry_entry, TRUE, TRUE, 0);
  gtk_entry_set_invisible_char (GTK_ENTRY (industry_entry), 9679);

  label39 = gtk_label_new (_("If you are done editing the fields, Please click the \"Send\" \nbutton to send your information  to Canonical Ltd."));
  gtk_widget_show (label39);
  gtk_box_pack_start (GTK_BOX (vbox5), label39, FALSE, FALSE, 10);
  gtk_label_set_use_markup (GTK_LABEL (label39), TRUE);

  label3 = gtk_label_new (_("label3"));
  gtk_widget_show (label3);
  gtk_notebook_set_tab_label (GTK_NOTEBOOK (notebook), gtk_notebook_get_nth_page (GTK_NOTEBOOK (notebook), 2), label3);

  vbox6 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox6);
  gtk_container_add (GTK_CONTAINER (notebook), vbox6);

  hbox26 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox26);
  gtk_box_pack_start (GTK_BOX (vbox6), hbox26, FALSE, FALSE, 10);

  image10 = gtk_image_new_from_icon_name ("stock_contact", GTK_ICON_SIZE_DIALOG);
  gtk_widget_show (image10);
  gtk_box_pack_start (GTK_BOX (hbox26), image10, FALSE, FALSE, 0);
  gtk_misc_set_padding (GTK_MISC (image10), 30, 0);

  label33 = gtk_label_new (_("<span size=\"x-large\">Ubuntu Commercial Support</span>"));
  gtk_widget_show (label33);
  gtk_box_pack_start (GTK_BOX (hbox26), label33, FALSE, FALSE, 0);
  gtk_label_set_use_markup (GTK_LABEL (label33), TRUE);

  label34 = gtk_label_new (_("An interface that provides a way to get commercial support\nfrom Canonical Ltd."));
  gtk_widget_show (label34);
  gtk_box_pack_start (GTK_BOX (vbox6), label34, FALSE, FALSE, 0);

  hbox27 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox27);
  gtk_box_pack_end (GTK_BOX (vbox6), hbox27, FALSE, FALSE, 0);

  hbuttonbox9 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox9);
  gtk_box_pack_start (GTK_BOX (hbox27), hbuttonbox9, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (hbuttonbox9), 10);
  gtk_box_set_spacing (GTK_BOX (hbuttonbox9), 10);

  page3_license_button = gtk_button_new ();
  gtk_widget_show (page3_license_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox9), page3_license_button);
  gtk_widget_set_size_request (page3_license_button, 77, 34);
  GTK_WIDGET_SET_FLAGS (page3_license_button, GTK_CAN_DEFAULT);

  alignment6 = gtk_alignment_new (0.5, 0.5, 0, 0);
  gtk_widget_show (alignment6);
  gtk_container_add (GTK_CONTAINER (page3_license_button), alignment6);

  hbox29 = gtk_hbox_new (FALSE, 2);
  gtk_widget_show (hbox29);
  gtk_container_add (GTK_CONTAINER (alignment6), hbox29);

  image12 = gtk_image_new_from_stock ("gtk-edit", GTK_ICON_SIZE_BUTTON);
  gtk_widget_show (image12);
  gtk_box_pack_start (GTK_BOX (hbox29), image12, FALSE, FALSE, 0);

  label37 = gtk_label_new_with_mnemonic ("_License");
  gtk_widget_show (label37);
  gtk_box_pack_start (GTK_BOX (hbox29), label37, FALSE, FALSE, 0);

  hbuttonbox10 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox10);
  gtk_box_pack_start (GTK_BOX (hbox27), hbuttonbox10, TRUE, TRUE, 0);

  page3_ok_button = gtk_button_new_from_stock ("gtk-ok");
  gtk_widget_show (page3_ok_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox10), page3_ok_button);
  GTK_WIDGET_SET_FLAGS (page3_ok_button, GTK_CAN_DEFAULT);

  label36 = gtk_label_new (_("Copyright (c) 2006 Joel Bryan Juliano"));
  gtk_widget_show (label36);
  gtk_box_pack_start (GTK_BOX (vbox6), label36, FALSE, FALSE, 30);

  label31 = gtk_label_new (_("label31"));
  gtk_widget_show (label31);
  gtk_notebook_set_tab_label (GTK_NOTEBOOK (notebook), gtk_notebook_get_nth_page (GTK_NOTEBOOK (notebook), 3), label31);

  vbox7 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox7);
  gtk_container_add (GTK_CONTAINER (notebook), vbox7);
  gtk_notebook_set_tab_label_packing (GTK_NOTEBOOK (notebook), vbox7,
                                      FALSE, FALSE, GTK_PACK_START);

  hbox30 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox30);
  gtk_box_pack_start (GTK_BOX (vbox7), hbox30, FALSE, FALSE, 10);

  image13 = gtk_image_new_from_icon_name ("gtk-edit", GTK_ICON_SIZE_DIALOG);
  gtk_widget_show (image13);
  gtk_box_pack_start (GTK_BOX (hbox30), image13, FALSE, FALSE, 0);
  gtk_misc_set_padding (GTK_MISC (image13), 30, 0);

  label38 = gtk_label_new (_("<span size=\"x-large\">License</span>"));
  gtk_widget_show (label38);
  gtk_box_pack_start (GTK_BOX (hbox30), label38, FALSE, FALSE, 0);
  gtk_label_set_use_markup (GTK_LABEL (label38), TRUE);

  scrolledwindow1 = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_show (scrolledwindow1);
  gtk_box_pack_start (GTK_BOX (vbox7), scrolledwindow1, TRUE, TRUE, 0);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (scrolledwindow1), GTK_POLICY_NEVER, GTK_POLICY_AUTOMATIC);
  gtk_scrolled_window_set_shadow_type (GTK_SCROLLED_WINDOW (scrolledwindow1), GTK_SHADOW_IN);

  textview1 = gtk_text_view_new ();
  gtk_widget_show (textview1);
  gtk_container_add (GTK_CONTAINER (scrolledwindow1), textview1);
  gtk_text_view_set_editable (GTK_TEXT_VIEW (textview1), FALSE);
  gtk_text_view_set_cursor_visible (GTK_TEXT_VIEW (textview1), FALSE);
  gtk_text_buffer_set_text (gtk_text_view_get_buffer (GTK_TEXT_VIEW (textview1)), _("   This package is free software; you can redistribute it and/or modify\n   it under the terms of the GNU General Public License as published by\n   the Free Software Foundation; either version 2 of the License, or\n   (at your option) any later version.\n\n   This package is distributed in the hope that it will be useful,\n   but WITHOUT ANY WARRANTY; without even the implied warranty of\n   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n   GNU General Public License for more details.\n\n   You should have received a copy of the GNU General Public License\n   along with this package; if not, write to the Free Software\n   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA\n\nOn Debian systems, the complete text of the GNU General\nPublic License can be found in `/usr/share/common-licenses/GPL'."), -1);

  hbox31 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox31);
  gtk_box_pack_end (GTK_BOX (vbox7), hbox31, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (hbox31), 10);

  hbuttonbox12 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox12);
  gtk_box_pack_end (GTK_BOX (hbox31), hbuttonbox12, FALSE, FALSE, 0);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox12), GTK_BUTTONBOX_END);

  page4_back_button = gtk_button_new_from_stock ("gtk-go-back");
  gtk_widget_show (page4_back_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox12), page4_back_button);
  GTK_WIDGET_SET_FLAGS (page4_back_button, GTK_CAN_DEFAULT);

  label32 = gtk_label_new (_("label32"));
  gtk_widget_show (label32);
  gtk_notebook_set_tab_label (GTK_NOTEBOOK (notebook), gtk_notebook_get_nth_page (GTK_NOTEBOOK (notebook), 4), label32);

  g_signal_connect ((gpointer) window, "destroy",
                    G_CALLBACK (on_window_destroy),
                    NULL);
  g_signal_connect ((gpointer) page0_about_button, "clicked",
                    G_CALLBACK (on_page0_about_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) page0_cancel_button, "clicked",
                    G_CALLBACK (on_page0_cancel_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) page0_next_button, "clicked",
                    G_CALLBACK (on_page0_next_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) page1_contact_button, "clicked",
                    G_CALLBACK (on_page1_contact_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) page1_back_button, "clicked",
                    G_CALLBACK (on_page1_back_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) page1_next_button, "clicked",
                    G_CALLBACK (on_page1_next_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) coverage_spinbutton, "changed",
                    G_CALLBACK (on_coverage_spinbutton_changed),
                    NULL);
  g_signal_connect ((gpointer) page2_back_button, "clicked",
                    G_CALLBACK (on_page2_back_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) page2_send_button, "clicked",
                    G_CALLBACK (on_page2_send_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) page3_license_button, "clicked",
                    G_CALLBACK (on_page3_license_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) page3_ok_button, "clicked",
                    G_CALLBACK (on_page3_ok_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) page4_back_button, "clicked",
                    G_CALLBACK (on_page4_back_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (window, window, "window");
  GLADE_HOOKUP_OBJECT (window, notebook, "notebook");
  GLADE_HOOKUP_OBJECT (window, vbox1, "vbox1");
  GLADE_HOOKUP_OBJECT (window, hbox2, "hbox2");
  GLADE_HOOKUP_OBJECT (window, image3, "image3");
  GLADE_HOOKUP_OBJECT (window, label5, "label5");
  GLADE_HOOKUP_OBJECT (window, label6, "label6");
  GLADE_HOOKUP_OBJECT (window, hbox3, "hbox3");
  GLADE_HOOKUP_OBJECT (window, hbuttonbox2, "hbuttonbox2");
  GLADE_HOOKUP_OBJECT (window, page0_about_button, "page0_about_button");
  GLADE_HOOKUP_OBJECT (window, hbuttonbox1, "hbuttonbox1");
  GLADE_HOOKUP_OBJECT (window, page0_cancel_button, "page0_cancel_button");
  GLADE_HOOKUP_OBJECT (window, page0_next_button, "page0_next_button");
  GLADE_HOOKUP_OBJECT (window, alignment1, "alignment1");
  GLADE_HOOKUP_OBJECT (window, hbox4, "hbox4");
  GLADE_HOOKUP_OBJECT (window, image4, "image4");
  GLADE_HOOKUP_OBJECT (window, label7, "label7");
  GLADE_HOOKUP_OBJECT (window, label1, "label1");
  GLADE_HOOKUP_OBJECT (window, vbox2, "vbox2");
  GLADE_HOOKUP_OBJECT (window, hbox5, "hbox5");
  GLADE_HOOKUP_OBJECT (window, image5, "image5");
  GLADE_HOOKUP_OBJECT (window, label8, "label8");
  GLADE_HOOKUP_OBJECT (window, label9, "label9");
  GLADE_HOOKUP_OBJECT (window, hbox6, "hbox6");
  GLADE_HOOKUP_OBJECT (window, hbox14, "hbox14");
  GLADE_HOOKUP_OBJECT (window, hbuttonbox7, "hbuttonbox7");
  GLADE_HOOKUP_OBJECT (window, page1_contact_button, "page1_contact_button");
  GLADE_HOOKUP_OBJECT (window, alignment4, "alignment4");
  GLADE_HOOKUP_OBJECT (window, hbox15, "hbox15");
  GLADE_HOOKUP_OBJECT (window, image9, "image9");
  GLADE_HOOKUP_OBJECT (window, label20, "label20");
  GLADE_HOOKUP_OBJECT (window, hbuttonbox4, "hbuttonbox4");
  GLADE_HOOKUP_OBJECT (window, page1_back_button, "page1_back_button");
  GLADE_HOOKUP_OBJECT (window, page1_next_button, "page1_next_button");
  GLADE_HOOKUP_OBJECT (window, alignment2, "alignment2");
  GLADE_HOOKUP_OBJECT (window, hbox7, "hbox7");
  GLADE_HOOKUP_OBJECT (window, image6, "image6");
  GLADE_HOOKUP_OBJECT (window, label10, "label10");
  GLADE_HOOKUP_OBJECT (window, hbox8, "hbox8");
  GLADE_HOOKUP_OBJECT (window, vbox3, "vbox3");
  GLADE_HOOKUP_OBJECT (window, desktop_support_checkbutton, "desktop_support_checkbutton");
  GLADE_HOOKUP_OBJECT (window, server_support_checkbutton, "server_support_checkbutton");
  GLADE_HOOKUP_OBJECT (window, cluster_support_checkbutton, "cluster_support_checkbutton");
  GLADE_HOOKUP_OBJECT (window, hbox9, "hbox9");
  GLADE_HOOKUP_OBJECT (window, hbox10, "hbox10");
  GLADE_HOOKUP_OBJECT (window, label15, "label15");
  GLADE_HOOKUP_OBJECT (window, coverage_spinbutton, "coverage_spinbutton");
  GLADE_HOOKUP_OBJECT (window, Year_label, "Year_label");
  GLADE_HOOKUP_OBJECT (window, label11, "label11");
  GLADE_HOOKUP_OBJECT (window, label12, "label12");
  GLADE_HOOKUP_OBJECT (window, label13, "label13");
  GLADE_HOOKUP_OBJECT (window, label19, "label19");
  GLADE_HOOKUP_OBJECT (window, label2, "label2");
  GLADE_HOOKUP_OBJECT (window, vbox4, "vbox4");
  GLADE_HOOKUP_OBJECT (window, hbox11, "hbox11");
  GLADE_HOOKUP_OBJECT (window, image7, "image7");
  GLADE_HOOKUP_OBJECT (window, label16, "label16");
  GLADE_HOOKUP_OBJECT (window, label17, "label17");
  GLADE_HOOKUP_OBJECT (window, hbox12, "hbox12");
  GLADE_HOOKUP_OBJECT (window, hbuttonbox6, "hbuttonbox6");
  GLADE_HOOKUP_OBJECT (window, page2_back_button, "page2_back_button");
  GLADE_HOOKUP_OBJECT (window, page2_send_button, "page2_send_button");
  GLADE_HOOKUP_OBJECT (window, alignment3, "alignment3");
  GLADE_HOOKUP_OBJECT (window, hbox13, "hbox13");
  GLADE_HOOKUP_OBJECT (window, image8, "image8");
  GLADE_HOOKUP_OBJECT (window, label18, "label18");
  GLADE_HOOKUP_OBJECT (window, vbox5, "vbox5");
  GLADE_HOOKUP_OBJECT (window, label25, "label25");
  GLADE_HOOKUP_OBJECT (window, hbox16, "hbox16");
  GLADE_HOOKUP_OBJECT (window, label21, "label21");
  GLADE_HOOKUP_OBJECT (window, name_entry, "name_entry");
  GLADE_HOOKUP_OBJECT (window, hbox17, "hbox17");
  GLADE_HOOKUP_OBJECT (window, label22, "label22");
  GLADE_HOOKUP_OBJECT (window, address_entry, "address_entry");
  GLADE_HOOKUP_OBJECT (window, hbox32, "hbox32");
  GLADE_HOOKUP_OBJECT (window, label40, "label40");
  GLADE_HOOKUP_OBJECT (window, ekiga_entry, "ekiga_entry");
  GLADE_HOOKUP_OBJECT (window, hbox18, "hbox18");
  GLADE_HOOKUP_OBJECT (window, label23, "label23");
  GLADE_HOOKUP_OBJECT (window, telephone_entry, "telephone_entry");
  GLADE_HOOKUP_OBJECT (window, hbox19, "hbox19");
  GLADE_HOOKUP_OBJECT (window, label24, "label24");
  GLADE_HOOKUP_OBJECT (window, address_street_entry, "address_street_entry");
  GLADE_HOOKUP_OBJECT (window, hbox22, "hbox22");
  GLADE_HOOKUP_OBJECT (window, label29, "label29");
  GLADE_HOOKUP_OBJECT (window, address_city_entry, "address_city_entry");
  GLADE_HOOKUP_OBJECT (window, hbox23, "hbox23");
  GLADE_HOOKUP_OBJECT (window, label30, "label30");
  GLADE_HOOKUP_OBJECT (window, address_country_entry, "address_country_entry");
  GLADE_HOOKUP_OBJECT (window, label26, "label26");
  GLADE_HOOKUP_OBJECT (window, hbox20, "hbox20");
  GLADE_HOOKUP_OBJECT (window, label27, "label27");
  GLADE_HOOKUP_OBJECT (window, company_entry, "company_entry");
  GLADE_HOOKUP_OBJECT (window, hbox21, "hbox21");
  GLADE_HOOKUP_OBJECT (window, label28, "label28");
  GLADE_HOOKUP_OBJECT (window, industry_entry, "industry_entry");
  GLADE_HOOKUP_OBJECT (window, label39, "label39");
  GLADE_HOOKUP_OBJECT (window, label3, "label3");
  GLADE_HOOKUP_OBJECT (window, vbox6, "vbox6");
  GLADE_HOOKUP_OBJECT (window, hbox26, "hbox26");
  GLADE_HOOKUP_OBJECT (window, image10, "image10");
  GLADE_HOOKUP_OBJECT (window, label33, "label33");
  GLADE_HOOKUP_OBJECT (window, label34, "label34");
  GLADE_HOOKUP_OBJECT (window, hbox27, "hbox27");
  GLADE_HOOKUP_OBJECT (window, hbuttonbox9, "hbuttonbox9");
  GLADE_HOOKUP_OBJECT (window, page3_license_button, "page3_license_button");
  GLADE_HOOKUP_OBJECT (window, alignment6, "alignment6");
  GLADE_HOOKUP_OBJECT (window, hbox29, "hbox29");
  GLADE_HOOKUP_OBJECT (window, image12, "image12");
  GLADE_HOOKUP_OBJECT (window, label37, "label37");
  GLADE_HOOKUP_OBJECT (window, hbuttonbox10, "hbuttonbox10");
  GLADE_HOOKUP_OBJECT (window, page3_ok_button, "page3_ok_button");
  GLADE_HOOKUP_OBJECT (window, label36, "label36");
  GLADE_HOOKUP_OBJECT (window, label31, "label31");
  GLADE_HOOKUP_OBJECT (window, vbox7, "vbox7");
  GLADE_HOOKUP_OBJECT (window, hbox30, "hbox30");
  GLADE_HOOKUP_OBJECT (window, image13, "image13");
  GLADE_HOOKUP_OBJECT (window, label38, "label38");
  GLADE_HOOKUP_OBJECT (window, scrolledwindow1, "scrolledwindow1");
  GLADE_HOOKUP_OBJECT (window, textview1, "textview1");
  GLADE_HOOKUP_OBJECT (window, hbox31, "hbox31");
  GLADE_HOOKUP_OBJECT (window, hbuttonbox12, "hbuttonbox12");
  GLADE_HOOKUP_OBJECT (window, page4_back_button, "page4_back_button");
  GLADE_HOOKUP_OBJECT (window, label32, "label32");

  return window;
}

